Create Rapid Deposit AddressAsk AIpost https://api.getorbital.io/crypto/deposit/receiving-addressGenerate a unique crypto deposit address for a user to receive direct wallet transfers.Body ParamsINDIVIDUAL PAYER (PPOU)CORPORATE PAYER (PPOU)INDIVIDUAL PAYER (PPDL)CORPORATE PAYER (PPDL)externalIdstringrequiredUnique ID for the transaction generated by the merchant. Each request requires a new externalId; reusing one is not allowed.currencystringThe cryptocurrency to be transferred by the payer. Accepted: USDT, USDC, ETH, BTC, LTC, BCH.mainCurrencystringThe blockchain network required for stablecoin deposits (USDT or USDC). For e.g, if USDT is specified in the currency field and TON here, it signifies USDT on TON USDT-TON. Allowed networks for USDT: TRX, ETH, MATIC, TON, BNB. Allowed networks for USDC: SOL, ETH, MATIC, TRX, BNB.targetCurrencystringThe fiat currency in which the merchant will be credited. Accepted: USD, GBP, EUR. If targetCurrency is set, a crypto-fiat conversion occurs. If omitted, no conversion occurs, and the deposit is made in the cryptocurrency specified in the currency field. cashierCurrencystringenumThe currency in which the payer's balance is displayed on the merchant platform.USDAEDAUDBRLCADCHFCNYEURGBPHKDIDRINRJPYKRWMMKMYRPLNSGDTHBUSDVNDSOLARSPENMXNNZDKESCOPBDTGHSPHPPYGShow 31 enum valuesnotifyUrlstringMerchant webhook URL to receive payment notifications.firstNamestringrequiredlength ≤ 100Payer's first name.lastNamestringrequiredlength ≤ 100Payer's last name. Note: For customers in countries where last names are not available, pass LNU (Last Name Unavailable) in this field.dateOfBirthstringrequiredPayer's date of birth (YYYY-MM-DD).emailstringPayer's email address.streetNamestringrequiredlength ≤ 70Street name of the payer's address.buildingNumberstringrequiredlength ≤ 16Building number of the payer's address.townNamestringlength ≤ 35Town of the payer's address.postcodestringlength ≤ 16Postal code of the payer's address.countryOfResidencestringrequiredThe country where the payer's resides (ISO-3166-1 alpha-2).identificationTypestringenumrequiredThe type of identification used for the payer.nationalRegistrationplaceOfBirthAllowed:nationalRegistrationplaceOfBirthplaceOfBirthstringlength ≤ 70Payer's place of birth. Required if identificationType is placeOfBirth.documentNumberstringlength ≤ 35Identification document number. Required if identificationType is nationalRegistration.documentTypestringenumIdentification document. Required if identificationType is nationalRegistration.PassportARNUCCPTRAIDDRLCFIINTXIDSOCSIDCDLEIXShow 9 enum valuesdocumentCountryOfIssuestringThe country that issued the identification document (ISO-3166-1 alpha-2 code). Required if identificationType is nationalRegistration.customerIdstringlength ≤ 50The internal ID for the payer. Required if identificationType is nationalRegistrationpersonTypestringDefaults to naturalPersonIndicates the type of payer. Can be naturalPerson or legalPerson.Responses 200Successful address creation and Travel Rule data validation. 400Validation error - missing or invalid request parameters. 401Unauthorized – API key is missing or invalid. 500Internal server error. This can be caused by duplicate externalId, missing permissions, or unexpected server-side issuesUpdated 8 months ago